### Method

# Malcontent AppFilterBuilder end

since: 0.2.0

#### Declaration [src]

    MctAppFilter*
    mct_app_filter_builder_end (
      MctAppFilterBuilder* builder
    )

#### Description [src]

Finish constructing an `MctAppFilter` with the given `builder`, and return it.

The `MctAppFilterBuilder` will be cleared as if `mct_app_filter_builder_clear()` had been called.

Available since: 0.2.0

#### Return value

Type: `MctAppFilter`

A newly constructed `MctAppFilter`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.